## filelight-l10n 1.9~svn1069736

=== CMakeLists.txt ===
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( el )
add_subdirectory( en_GB )
add_subdirectory( eo )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( fr )
add_subdirectory( ga )
add_subdirectory( gl )
add_subdirectory( it )
add_subdirectory( ja )
add_subdirectory( lt )
add_subdirectory( nb )
add_subdirectory( nds )
add_subdirectory( nl )
add_subdirectory( pa )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ru )
add_subdirectory( sv )
add_subdirectory( tr )
add_subdirectory( uk )
add_subdirectory( zh_TW )

=== debian/changelog ===
filelight-l10n (1.9~svn1069736-2) unstable; urgency=low

  * Set Arch: all rather than any, removed ${shlibs:Depends}. Thanks to Pino
    Toscano for noticing.
  * Set Section: localization instead of kde.
  * Add pkg-kde-tools as b-d (Closes: #584342)
  * Amend package description, this package does not install
    translations for documentation since the actual filelight package
    does not install documentation.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 03 Jun 2010 16:51:09 +0200

filelight-l10n (1.9~svn1069736-1) unstable; urgency=low

  * Added get-orig-source target to get the translations from KDE svn.
  * Use pkg-kde-tools cdbs class in debian/rules.
  * Updated build depends for KDE SC 4.
  * Added myself as uploader.
  * Added ${misc:Depends}.
  * Bump debhelper compatibility mode to 7.
  * Switch to dpkg source format 3.0 (quilt).
  * Bump versioned depend on filelight.
  * Updated policy to 3.8.4. No changes needed.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 12 May 2010 14:24:53 +0200

filelight-l10n (1.0-2) unstable; urgency=low

  * Depends on filelight. 
  * Updated policy to 3.7.3.0. No changes needed.
  * Added homepage as control field.
  * Fix copyright file to sort out lintian warnings. 

 -- Raúl Sánchez Siles <rasasi78@gmail.com>  Tue, 15 Apr 2008 19:05:52 +0200

filelight-l10n (1.0-1) unstable; urgency=low

  * Initial release. (Closes: #447414).
  * filelight: [INTL:de] German PO file corrections (Closes: #313714)
  * filelight: No help: "Could not find service 'khelpcenter'"(Closes:
  #263393).
  * filelight: [INTL:sv] Swedish PO translation (Closes: #353796)

 -- Raúl Sánchez Siles <rasasi78@gmail.com>  Mon, 22 Oct 2007 00:53:30 +0200

=== debian/control ===
Source: filelight-l10n
Section: localization
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Raúl Sánchez Siles <rasasi78@gmail.com>,
 José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: kdelibs5-dev, cdbs, debhelper (>= 7), cmake, pkg-kde-tools
Standards-Version: 3.8.4
Vcs-Svn: svn://svn.debian.org/svn/pkg-kde/kde-extra/filelight-10n/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extra/filelight-10n/trunk/
Homepage: http://www.methylblue.com/filelight/

Package: filelight-l10n
Architecture: all
Depends: ${misc:Depends}, filelight (>= 1.9~rc3)
Description: Localization (l10n) for Filelight, disk space usage tool
 This package provides localization(l10n) files for Filelight, Filelight allows
 you to understand your disk usage by graphically representing your filesystem
 as a set of concentric, segmented rings.
 .
 See the 'filelight' package description for more information.

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/pkg-kde-tools/makefiles/1/cdbs/kde.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk

REV = $(shell echo $(DEB_UPSTREAM_VERSION) | sed -e 's/^.*svn//')
SVNROOT = svn://anonsvn.kde.org/home/kde/trunk
I18NLANGS = $(shell svn cat $(SVNROOT)/l10n-kde4/subdirs@$(REV) | sed 's/x-test//')

clean-get-orig-source:
	@@rm -fR ../tarballs/filelight-l10n-$(REV).tmp

$(I18NLANGS):
	$(call fetch-program-l10n,filelight,$@)

#
# fetch-program-l10n
# Function to get the translations for a given program and a given lang code.
# $1 is the name of the program
# $2 is the lang code
#
define fetch-program-l10n
	@@echo -n 'Checking if $2 translation for $1 exists ... '
	@@[ -d ../tarballs/filelight-l10n-$(REV).tmp/po/$2/ ]||\
		mkdir -p ../tarballs/filelight-l10n-$(REV).tmp/po/$2/ 
	-@@svn export -q $(SVNROOT)/l10n-kde4/$(2)/messages/playground-utils/filelight.po@$(REV) 2>/dev/null \
		../tarballs/filelight-l10n-$(REV).tmp/po/$2/$1.po && \
		cd ../tarballs/filelight-l10n-$(REV).tmp/po/$2/ && \
		echo 'file(GLOB _po_files *.po)' > CMakeLists.txt && \
		echo 'GETTEXT_PROCESS_PO_FILES( $2 ALL INSTALL_DESTINATION $${LOCALE_INSTALL_DIR} $${_po_files} )' >> CMakeLists.txt && \
		echo yes || echo no
	-@@[ -f ../tarballs/filelight-l10n-$(REV).tmp/po/$2/$1.po ] && \
		cd ../tarballs/filelight-l10n-$(REV).tmp/po && \
		echo 'add_subdirectory( $2 )' >> CMakeLists.txt
endef


get-orig-source: clean-get-orig-source $(I18NLANGS)
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@cd ../tarballs/filelight-l10n-$(REV).tmp; \
		echo 'project(filelight)' > CMakeLists.txt && \
		echo 'find_package(KDE4 REQUIRED)' >> CMakeLists.txt && \
		echo 'add_definitions($${QT_DEFINITIONS} $${KDE4_DEFINITIONS})' >> CMakeLists.txt && \
		echo 'include(KDE4Defaults)' >> CMakeLists.txt && \
		echo 'include(MacroLibrary)' >> CMakeLists.txt && \
		echo 'find_package(Msgfmt REQUIRED)' >> CMakeLists.txt && \
		echo 'find_package(Gettext REQUIRED)' >> CMakeLists.txt && \
		echo 'add_subdirectory( po )' >> CMakeLists.txt
	@@echo Creating the tarball ...
	@@cd ../tarballs/filelight-l10n-$(REV).tmp; tar zcf ../filelight-l10n_$(DEB_UPSTREAM_VERSION).orig.tar.gz *
	@@rm -fR ../tarballs/filelight-l10n-$(REV).tmp
	@@echo Ready for packaging.
